Summary: The PHP3 HTML-embedded scripting language for use with Apache.
Name: mod_php3
Version: 3.0.11
Release: 1
Group: System Environment/Daemons
Copyright: GPL
Url: http://www.php.net/
Source: ftp://ftp.php.net/pub/distributions/php-%{version}.tar.gz
Requires: apache
BuildRoot: /var/tmp/%{name}-root

%description
PHP: Hypertext Preprocessor Version 3.0 is an HTML-embedded scripting
language. Much of its syntax is borrowed from C, Java and Perl with a
couple of unique PHP-specific features thrown in. The goal of the
language is to allow web developers to write dynamically generated
pages quickly.

Documentations are available from http://www.php.net/.


%prep
%setup -q -n php-%{version}


%build
# Adding --with-imagick=/usr would be nice but /usr/include/magick/memory.h
# conflicts with /usr/include/memory.h.
CPPFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
./configure \
	--prefix=/usr --with-config-file-path=/etc/httpd \
	--with-apxs=/usr/sbin/apxs --disable-debug \
	--with-zlib \
	--enable-magic-quotes --enable-track-vars
perl -pi -e 's|^CFLAGS = -g |CFLAGS = |' Makefile
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/lib/apache,etc/httpd,home/httpd/icons}
install -m755 -s libphp3.so $RPM_BUILD_ROOT/usr/lib/apache/
install -m644 php3.ini-dist $RPM_BUILD_ROOT/etc/httpd/php3.ini
install -m644 extra/icons/php[3s].gif $RPM_BUILD_ROOT/home/httpd/icons/


%post
echo << EOF
You should uncomment or add following lines to /etc/httpd/httpd.conf:

LoadModule php3_module lib/apache/libphp3.so
AddModule mod_php3.c
AddType application/x-httpd-php3 .php3
AddType application/x-httpd-php3-source .phps
AddIcon /icons/php3.gif .php3
AddIcon /icons/phps.gif .phps
EOF


%postun
if [ $1 = 0 ]; then
echo << EOF
You should comment out or remove following lines from /etc/httpd/httpd.conf:

LoadModule php3_module lib/apache/libphp3.so
AddModule mod_php3.c
AddType application/x-httpd-php3 .php3 
AddType application/x-httpd-php3-source .phps
AddIcon /icons/php3.gif .php3
AddIcon /icons/phps.gif .phps
EOF
fi


%files
%defattr(-,root,root)
%doc BUGS CHANGES CODING_STANDARDS COPYING CREDITS ChangeLog
%doc INSTALL* LICENSE README*
%doc examples
%config /etc/httpd/php3.ini
/home/httpd/icons/*
/usr/lib/apache/libphp3.so


%clean
rm -rf $RPM_BUILD_ROOT
